Summary: Firmware for the Intel Wireless WiFi 4965AGN
Name: iwl4965-firmware
Version: 228.61.2.24
Release: 1.slc5
License: distributable
Group: System Environment/Kernel
Source0: iwlwifi-4965-ucode-%{version}.tgz
Source1: iwlwifi-4965-1.ucode
Source2: iwlwifi-4965.ucode
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
This package contains the firmware for the iwl4965 driver.
Usage of the firmware is subject to the terms contained in
%{_defaultdocdir}/%{name}-%{version}/LICENSE.  Please read
the license carefully.

%prep
%setup -q -c

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware
install -p iwlwifi-4965-ucode-%{version}/*.ucode %{buildroot}/lib/firmware/
install -p %{SOURCE1} %{buildroot}/lib/firmware/
install -p %{SOURCE2} %{buildroot}/lib/firmware/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc iwlwifi-4965-ucode-%{version}/LICENSE.iwlwifi-4965-ucode iwlwifi-4965-ucode-%{version}/README.iwlwifi-4965-ucode
/lib/firmware/*

%changelog
* Wed Apr 07 2010 Jaroslaw Polok <jaroslaw.polok@cern.ch> 228.61.2.24
- initial release.

